%define git_url git://git.fedorahosted.org/chkconfig.git

Summary:	A system tool for maintaining the /etc/rc*.d hierarchy
Name:		chkconfig
Version:	1.3.37
Release:	%mkrel 3
License:	GPL
Group:		System/Configuration/Boot and Init
Url:		http://git.fedorahosted.org/git/?p=chkconfig.git;a=summary
Source0:	https://fedorahosted.org/releases/c/h/chkconfig/%{name}-%{version}.tar.gz
Source1:	chkconfig.po
Patch1:		ntsysv-mdkconf.patch
Patch3:		chkconfig-runleveldir.patch
Patch5:		chkconfig-fix.patch
Patch6:		chkconfig-1.3.25-adddelxinetd.patch
Patch7:		chkconfig-1.3.4-list.patch
Patch8:		chkconfig-1.3.4-skip-files-with-dot.patch
Patch10:	chkconfig-1.3.11-fix-errno-xinetddotd.patch
Patch11:	chkconfig-1.3.37-lsb.patch
Patch12:	chkconfig-1.3.20-fix-fr.patch
# (blino) fix priority when adding a LSB service required by another LSB service (#22019)
Patch13:	chkconfig-1.3.30-targreq.patch
# (blino) handle Should-Start/Should-Stop tags (#28026)
Patch14:	chkconfig-1.3.30-should.patch
# (fc) introduce runlevel 7, acting as runlevel S
Patch15:	chkconfig-1.3.37-rc7.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gettext
BuildRequires:	newt-devel
BuildRequires:	popt-devel
BuildRequires:	slang
Conflicts:	rpm-helper < 0.6
# explicit file provides
Provides:	/sbin/chkconfig

%description
Chkconfig is a basic system utility.  It updates and queries runlevel
information for system services.  Chkconfig manipulates the numerous
symbolic links in /etc/rc*.d, to relieve system administrators of some 
of the drudgery of manually editing the symbolic links.

%package -n	ntsysv
Summary:	A system tool for maintaining the /etc/rc*.d hierarchy
Group:		System/Configuration/Boot and Init
Requires:	chkconfig

%description -n	ntsysv
ntsysv updates and queries runlevel information for system services.
ntsysv relieves system administrators of having to directly manipulate
the numerous symbolic links in /etc/rc*.d.

%prep
%setup -q
%patch1 -p0 -b .mdkconf
%patch3 -p1 -b .runleveldir
%patch5 -p0 -b .fix
%patch6 -p1 -b .adddelxinetd
%patch7 -p1 -b .list
%patch8 -p0 -b .skip-files-with-dot
%patch10 -p0 -b .fix-errno-xinetddotd
%patch11 -p1 -b .lsb
%patch12 -p0 -b .fix-fr
%patch13 -p0 -b .targreq
%patch14 -p1 -b .should
%patch15 -p1 -b .rc7
perl -pi -e 's/\bmv\b/mv -f/' po/Makefile

%build

%ifarch sparc
LIBMHACK=-lm
%endif

%make RPM_OPT_FLAGS="%{optflags}" LIBMHACK=$LIBMHACK LDFLAGS="%{ldflags}"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std MANDIR=%{_mandir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
for n in 0 1 2 3 4 5 6 7; do
    mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/rc${n}.d
done

cd $RPM_BUILD_ROOT%{_sysconfdir}/
ln -s rc.d/init.d init.d
cd -
ln -s rc7.d $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/rcS.d

# corrected indonesian language code (it has changed from 'in' to 'id')
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/id/LC_MESSAGES
mv $RPM_BUILD_ROOT%{_datadir}/locale/{in,in_ID}/LC_MESSAGES/* \
	$RPM_BUILD_ROOT%{_datadir}/locale/id/LC_MESSAGES || :
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/{in,in_ID} || :

mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/zh_TW.Big5/LC_MESSAGES
msgfmt %SOURCE1 -o $RPM_BUILD_ROOT%{_datadir}/locale/zh_TW.Big5/LC_MESSAGES/chkconfig.mo

# Geoff 20020623 -- zh is incorrect for locale and there's nothing in it anyway
rm -fr $RPM_BUILD_ROOT%_datadir/locale/zh

# we use our own alternative system
rm -f $RPM_BUILD_ROOT%{_sbindir}/{alternatives,update-alternatives} $RPM_BUILD_ROOT%{_mandir}/man8/alternatives.8*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
/sbin/chkconfig
%{_mandir}/man8/chkconfig.8*
%dir %{_sysconfdir}/rc.d/init.d
%dir %{_sysconfdir}/rc.d/rc*
%{_sysconfdir}/init.d

%files -n ntsysv
%defattr(-,root,root)
%{_sbindir}/ntsysv
%{_mandir}/man8/ntsysv.8*




%changelog
* Thu Feb 05 2009 Frederic Crozat <fcrozat@mandriva.com> 1.3.37-3mdv2009.1
+ Revision: 337821
-Patch15: add runlevel 7, acting as runlevel S
- Add git url

* Thu Dec 25 2008 Oden Eriksson <oeriksson@mandriva.org> 1.3.37-2mdv2009.1
+ Revision: 318468
- rediffed some fuzzy patches
- use %%ldflags

* Mon Sep 01 2008 Olivier Blin <oblin@mandriva.com> 1.3.37-1mdv2009.0
+ Revision: 278275
- rediff lsb patch
- 1.3.37

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.34-6mdv2009.0
+ Revision: 220567
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.3.34-5mdv2008.1
+ Revision: 136304
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 30 2007 Olivier Blin <oblin@mandriva.com> 1.3.34-5mdv2008.0
+ Revision: 75648
- initialize dependencies list string (fix corruption, #32958)

* Thu May 31 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.3.34-4mdv2008.0
+ Revision: 33301
- Rebuild with libnewt0.52.

* Wed May 02 2007 Olivier Blin <oblin@mandriva.com> 1.3.34-3mdv2008.0
+ Revision: 20731
- fix build in interactive terminal (#30598)

* Mon Apr 30 2007 Pixel <pixel@mandriva.com> 1.3.34-2mdv2008.0
+ Revision: 19550
- explicit file provide /sbin/chkconfig

* Thu Apr 19 2007 Olivier Blin <oblin@mandriva.com> 1.3.34-1mdv2008.0
+ Revision: 14998
- 1.3.34


* Sun Jan 21 2007 Olivier Blin <oblin@mandriva.com> 1.3.30-4mdv2007.0
+ Revision: 111339
- restore LSB patch but make it non-fatal (to allow services to be uninstalled)

* Sat Jan 20 2007 Olivier Blin <oblin@mandriva.com> 1.3.30-3mdv2007.1
+ Revision: 111145
- do not check for Required-Start and Required-Stop dependencies, the LSB spec does not impose they are satisfied (fixes #24409 as a brutal side-effect)

* Sat Jan 20 2007 Olivier Blin <oblin@mandriva.com> 1.3.30-2mdv2007.1
+ Revision: 111118
- handle Should-Start/Should-Stop tags (#28026)
- fix priority when adding a LSB service required by another LSB service (#22019)

* Sat Jan 20 2007 Olivier Blin <oblin@mandriva.com> 1.3.30-1mdv2007.1
+ Revision: 111065
- 1.3.30
- bunzip2 patches
- Import chkconfig

* Sat Sep 16 2006 Olivier Blin <blino@mandriva.com> 1.3.25-2mdv2007.0
- Patch13: don't incorrectly enable disabled services on --add
  (thanks to Andreas for the help, #23104)
  from https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=182729

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1.3.25-1mdk
- 1.3.25
- rediff Patch6
- drop hybrid LSB support in Patch11 (mostly merged upstream)
- simplify requirements check on delete in Patch11 (and use runlevel)
- check for requirements when on add in Patch11

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.3.20-5mdk
- Rebuild

* Sat Jul 02 2005 Stew Benedict <sbenedict@mandriva.com> 1.3.20-4mdk
- redo P11 to handle hybrid scripts like shorewall, pptp, vmware (#16658)

* Fri Jul 01 2005 Frederic Lepied <flepied@mandriva.com> 1.3.20-3mdk
- fixed french transalation to aligned status in chkconfig --list (bug #6062).

* Wed Jun 29 2005 Stew Benedict <sbenedict@mandriva.com> 1.3.20-2mdk
- P11 - chkconfig doesn't handle LSB style script dependencies correctly

* Mon Jun 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.20-1mdk
- 1.3.20
- regenerate P6
- drop P9 & P11 (fixed upstream)

* Fri Feb 11 2005 Frederic Lepied <flepied@mandrakesoft.com> 1.3.13-3mdk
- really fix LSB logic

* Fri Feb 04 2005 Frederic Lepied <flepied@mandrakesoft.com> 1.3.13-2mdk
- fix LSB logic

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.13-1mdk
- 1.3.13
- do parallell build
- fix summary-ended-with-dot

* Fri Nov 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.11.1-1mdk
- 1.3.11.1
- drop P11 (merged upstream)

* Thu Jul 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.11-1mdk
- 1.3.11
- update no translation (P11)
- regenerate P6, P9 & P11

* Mon Jan 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.8-5mdk
- fix unpackaged files

